
TYPO3.TYPO3CR - Bug # 3486

Status: Resolved Priority: Must have
Author: Karsten Dambekalns Category: FLOW3 Persistence
Created: 2009-05-27 Assigned To: Karsten Dambekalns
Updated: 2011-05-05 Due date:
Subject: getUUIDByObject() in persistence backend must return NULL if no UUID is found
Description

Currently it dies if FLOW3_AOP_Proxy_getProperty() fails.

Related issues:
blocked by TYPO3.Flow - Feature # 3487: Add FLOW3_AOP_Proxy_hasProperty to AO... Resolved 2009-05-27

Associated revisions
Revision 7905c92f - 2009-06-04 15:11 - Karsten Dambekalns

[TASK] FLOW3 (AOP): added FLOW3_AOP_Proxy_hasProperty() to AOP proxies, resolves #3487
[FIX] TYPO3CR (FLOW3 Persistence): getUUIDByObject() in persistence backend now returns NULL if no UUID is found, fixes #3486

History
#1 - 2009-06-04 14:51 - Robert Lemke
- Target version changed from 283 to 1.0 alpha 2

#2 - 2009-06-04 14:55 - Karsten Dambekalns
- Project changed from TYPO3.Flow to TYPO3.TYPO3CR
- Category deleted (Persistence)
- Target version deleted (1.0 alpha 2)

#3 - 2009-06-04 14:56 - Karsten Dambekalns
- Category set to FLOW3 Persistence
- Target version set to 197

#4 - 2009-06-04 16:00 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r2566.

#5 - 2011-05-05 17:12 - Robert Lemke
- Target version deleted (197)
